package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFI82 extends MwfRequest<MWFI82, MWFI82Response> {

    @Parameter(name = "INAMOUNT")
    MWFI82 inamount(Double inamount);
    @Parameter(name = "INAMOUNT2")
    MWFI82 inamount2(Double inamount2);
    @Parameter(name = "INAUTH")
    MWFI82 inauth(String inauth);
    @Parameter(name = "INAUTHCODE")
    MWFI82 inauthcode(Long inauthcode);
    @Parameter(name = "INAUTHTIME")
    MWFI82 inauthtime(Long inauthtime);
    @Parameter(name = "INAV1")
    MWFI82 inav1(String inav1);
    @Parameter(name = "INAV2")
    MWFI82 inav2(String inav2);
    @Parameter(name = "INAV3")
    MWFI82 inav3(String inav3);
    @Parameter(name = "INAV4")
    MWFI82 inav4(String inav4);
    @Parameter(name = "INBANK")
    MWFI82 inbank(Long inbank);
    @Parameter(name = "INBATCHDT")
    MWFI82 inbatchdt(java.util.Date inbatchdt);
    @Parameter(name = "INCARDNAME")
    MWFI82 incardname(String incardname);
    @Parameter(name = "INCARDNUM")
    MWFI82 incardnum(Long incardnum);
    @Parameter(name = "INCONTRCTN")
    MWFI82 incontrctn(Long incontrctn);
    @Parameter(name = "INCRMS1")
    MWFI82 incrms1(String incrms1);
    @Parameter(name = "INCRMS2")
    MWFI82 incrms2(String incrms2);
    @Parameter(name = "INCRMS3")
    MWFI82 incrms3(String incrms3);
    @Parameter(name = "INCRMS4")
    MWFI82 incrms4(String incrms4);
    @Parameter(name = "INDBMS1")
    MWFI82 indbms1(String indbms1);
    @Parameter(name = "INDBMS2")
    MWFI82 indbms2(String indbms2);
    @Parameter(name = "INDBMS3")
    MWFI82 indbms3(String indbms3);
    @Parameter(name = "INDBMS4")
    MWFI82 indbms4(String indbms4);
    @Parameter(name = "INDESCR")
    MWFI82 indescr(String indescr);
    @Parameter(name = "INEXPDATE")
    MWFI82 inexpdate(Long inexpdate);
    @Parameter(name = "INMERCHNBR")
    MWFI82 inmerchnbr(Long inmerchnbr);
    @Parameter(name = "INPHONENUM")
    MWFI82 inphonenum(Long inphonenum);
    @Parameter(name = "INPOACCNT")
    MWFI82 inpoaccnt(Long inpoaccnt);
    @Parameter(name = "INPOBNKCDE")
    MWFI82 inpobnkcde(Long inpobnkcde);
    @Parameter(name = "INPOCSYM")
    MWFI82 inpocsym(Long inpocsym);
    @Parameter(name = "INPOSSYM")
    MWFI82 inpossym(Long inpossym);
    @Parameter(name = "INPOVSYM")
    MWFI82 inpovsym(Long inpovsym);
    @Parameter(name = "INRECTYPE")
    MWFI82 inrectype(String inrectype);
    @Parameter(name = "INREFNUM")
    MWFI82 inrefnum(String inrefnum);
    @Parameter(name = "INREFNUM2")
    MWFI82 inrefnum2(String inrefnum2);
    @Parameter(name = "INSLIPDATE")
    MWFI82 inslipdate(java.util.Date inslipdate);
    @Parameter(name = "INTRANCODE")
    MWFI82 intrancode(Long intrancode);
    @Parameter(name = "INVALIDAUTH")
    MWFI82 invalidauth(String invalidauth);
}
